Package com.databricks.jdbc.client.impl.thrift.generated

## Class TDBSqlResultFormat

- java.lang.Object
- - org.apache.thrift.TUnion<TDBSqlResultFormat,​TDBSqlResultFormat._Fields>
  - - com.databricks.jdbc.client.impl.thrift.generated.TDBSqlResultFormat

All Implemented Interfaces:
  `Serializable`, `Comparable<TDBSqlResultFormat>`, `org.apache.thrift.TBase<TDBSqlResultFormat,​TDBSqlResultFormat._Fields>`, `org.apache.thrift.TSerializable`

    @Generated(value="Autogenerated by Thrift Compiler (0.19.0)",
               date="2024-05-06")
    public class TDBSqlResultFormat
    extends org.apache.thrift.TUnion<TDBSqlResultFormat,​TDBSqlResultFormat._Fields>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TDBSqlResultFormat._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`static Map<TDBSqlResultFormat._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`

### Fields inherited from class org.apache.thrift.TUnion

`setField_, value_`

### Constructor Summary

Constructors
`TDBSqlResultFormat()`
`TDBSqlResultFormat​(TDBSqlResultFormat other)`
`TDBSqlResultFormat​(TDBSqlResultFormat._Fields setField, Object value)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static TDBSqlResultFormat` `arrowFormat​(TDBSqlArrowFormat value)`
`protected void` `checkType​(TDBSqlResultFormat._Fields setField, Object value)`
`int` `compareTo​(TDBSqlResultFormat other)`
`static TDBSqlResultFormat` `csvFormat​(TDBSqlCsvFormat value)`
`TDBSqlResultFormat` `deepCopy()`
`protected TDBSqlResultFormat._Fields` `enumForId​(short id)`
`boolean` `equals​(TDBSqlResultFormat other)`
`boolean` `equals​(Object other)`
`TDBSqlResultFormat._Fields` `fieldForId​(int fieldId)`
`TDBSqlArrowFormat` `getArrowFormat()`
`TDBSqlCsvFormat` `getCsvFormat()`
`protected org.apache.thrift.protocol.TField` `getFieldDesc​(TDBSqlResultFormat._Fields setField)`
`TDBSqlJsonArrayFormat` `getJsonArrayFormat()`
`protected org.apache.thrift.protocol.TStruct` `getStructDesc()`
`int` `hashCode()`
`boolean` `isSetArrowFormat()`
`boolean` `isSetCsvFormat()`
`boolean` `isSetJsonArrayFormat()`
`static TDBSqlResultFormat` `jsonArrayFormat​(TDBSqlJsonArrayFormat value)`
`void` `setArrowFormat​(TDBSqlArrowFormat value)`
`void` `setCsvFormat​(TDBSqlCsvFormat value)`
`void` `setJsonArrayFormat​(TDBSqlJsonArrayFormat value)`
`protected Object` `standardSchemeReadValue​(org.apache.thrift.protocol.TProtocol iprot, org.apache.thrift.protocol.TField field)`
`protected void` `standardSchemeWriteValue​(org.apache.thrift.protocol.TProtocol oprot)`
`protected Object` `tupleSchemeReadValue​(org.apache.thrift.protocol.TProtocol iprot, short fieldID)`
`protected void` `tupleSchemeWriteValue​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class org.apache.thrift.TUnion

`clear, getFieldValue, getFieldValue, getFieldValue, getSetField, isSet, isSet, isSet, read, setFieldValue, setFieldValue, toString, write`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### metaDataMap

    public static final Map<TDBSqlResultFormat._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TDBSqlResultFormat

    public TDBSqlResultFormat()

#### TDBSqlResultFormat

    public TDBSqlResultFormat​(TDBSqlResultFormat._Fields setField,
                              Object value)

#### TDBSqlResultFormat

    public TDBSqlResultFormat​(TDBSqlResultFormat other)

### Method Detail

#### deepCopy

    public TDBSqlResultFormat deepCopy()

#### arrowFormat

    public static TDBSqlResultFormat arrowFormat​(TDBSqlArrowFormat value)

#### csvFormat

    public static TDBSqlResultFormat csvFormat​(TDBSqlCsvFormat value)

#### jsonArrayFormat

    public static TDBSqlResultFormat jsonArrayFormat​(TDBSqlJsonArrayFormat value)

#### checkType

    protected void checkType​(TDBSqlResultFormat._Fields setField,
                             Object value)
                      throws ClassCastException

Specified by:
  `checkType` in class `org.apache.thrift.TUnion<TDBSqlResultFormat,​TDBSqlResultFormat._Fields>`
Throws:
  `ClassCastException`

#### standardSchemeReadValue

    protected Object standardSchemeReadValue​(org.apache.thrift.protocol.TProtocol iprot,
                                             org.apache.thrift.protocol.TField field)
                                      throws org.apache.thrift.TException

Specified by:
  `standardSchemeReadValue` in class `org.apache.thrift.TUnion<TDBSqlResultFormat,​TDBSqlResultFormat._Fields>`
Throws:
  `org.apache.thrift.TException`

#### standardSchemeWriteValue

    protected void standardSchemeWriteValue​(org.apache.thrift.protocol.TProtocol oprot)
                                     throws org.apache.thrift.TException

Specified by:
  `standardSchemeWriteValue` in class `org.apache.thrift.TUnion<TDBSqlResultFormat,​TDBSqlResultFormat._Fields>`
Throws:
  `org.apache.thrift.TException`

#### tupleSchemeReadValue

    protected Object tupleSchemeReadValue​(org.apache.thrift.protocol.TProtocol iprot,
                                          short fieldID)
                                   throws org.apache.thrift.TException

Specified by:
  `tupleSchemeReadValue` in class `org.apache.thrift.TUnion<TDBSqlResultFormat,​TDBSqlResultFormat._Fields>`
Throws:
  `org.apache.thrift.TException`

#### tupleSchemeWriteValue

    protected void tupleSchemeWriteValue​(org.apache.thrift.protocol.TProtocol oprot)
                                  throws org.apache.thrift.TException

Specified by:
  `tupleSchemeWriteValue` in class `org.apache.thrift.TUnion<TDBSqlResultFormat,​TDBSqlResultFormat._Fields>`
Throws:
  `org.apache.thrift.TException`

#### getFieldDesc

    protected org.apache.thrift.protocol.TField getFieldDesc​(TDBSqlResultFormat._Fields setField)

Specified by:
  `getFieldDesc` in class `org.apache.thrift.TUnion<TDBSqlResultFormat,​TDBSqlResultFormat._Fields>`

#### getStructDesc

    protected org.apache.thrift.protocol.TStruct getStructDesc()

Specified by:
  `getStructDesc` in class `org.apache.thrift.TUnion<TDBSqlResultFormat,​TDBSqlResultFormat._Fields>`

#### enumForId

    protected TDBSqlResultFormat._Fields enumForId​(short id)

Specified by:
  `enumForId` in class `org.apache.thrift.TUnion<TDBSqlResultFormat,​TDBSqlResultFormat._Fields>`

#### fieldForId

    public TDBSqlResultFormat._Fields fieldForId​(int fieldId)

#### getArrowFormat

    public TDBSqlArrowFormat getArrowFormat()

#### setArrowFormat

    public void setArrowFormat​(TDBSqlArrowFormat value)

#### getCsvFormat

    public TDBSqlCsvFormat getCsvFormat()

#### setCsvFormat

    public void setCsvFormat​(TDBSqlCsvFormat value)

#### getJsonArrayFormat

    public TDBSqlJsonArrayFormat getJsonArrayFormat()

#### setJsonArrayFormat

    public void setJsonArrayFormat​(TDBSqlJsonArrayFormat value)

#### isSetArrowFormat

    public boolean isSetArrowFormat()

#### isSetCsvFormat

    public boolean isSetCsvFormat()

#### isSetJsonArrayFormat

    public boolean isSetJsonArrayFormat()

#### equals

    public boolean equals​(Object other)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TDBSqlResultFormat other)

#### compareTo

    public int compareTo​(TDBSqlResultFormat other)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`